Package com.emc.d2fs.models.link_info

# Class LinkInfo

java.lang.Object
com.emc.d2fs.models.link_info.LinkInfo

All Implemented Interfaces:
  `Serializable`

public class LinkInfo extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="linkType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="relationName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="creationProfile" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="warningMessage" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="linkRequired" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="linkSilent" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationProfile()`
  Gets the value of the creationProfile property.
  `String`
  `getLinkType()`
  Gets the value of the linkType property.
  `String`
  `getRelationName()`
  Gets the value of the relationName property.
  `String`
  `getWarningMessage()`
  Gets the value of the warningMessage property.
  `boolean`
  `isLinkRequired()`
  Gets the value of the linkRequired property.
  `boolean`
  `isLinkSilent()`
  Gets the value of the linkSilent property.
  `void`
  `setCreationProfile(String value)`
  Sets the value of the creationProfile property.
  `void`
  `setLinkRequired(boolean value)`
  Sets the value of the linkRequired property.
  `void`
  `setLinkSilent(boolean value)`
  Sets the value of the linkSilent property.
  `void`
  `setLinkType(String value)`
  Sets the value of the linkType property.
  `void`
  `setRelationName(String value)`
  Sets the value of the relationName property.
  `void`
  `setWarningMessage(String value)`
  Sets the value of the warningMessage property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LinkInfo

    public LinkInfo()

- ## Method Details

  - ### getLinkType

    public String getLinkType()
    Gets the value of the linkType property.
    Returns:
      possible object is `String`

  - ### setLinkType

    public void setLinkType(String value)
    Sets the value of the linkType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRelationName

    public String getRelationName()
    Gets the value of the relationName property.
    Returns:
      possible object is `String`

  - ### setRelationName

    public void setRelationName(String value)
    Sets the value of the relationName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCreationProfile

    public String getCreationProfile()
    Gets the value of the creationProfile property.
    Returns:
      possible object is `String`

  - ### setCreationProfile

    public void setCreationProfile(String value)
    Sets the value of the creationProfile property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWarningMessage

    public String getWarningMessage()
    Gets the value of the warningMessage property.
    Returns:
      possible object is `String`

  - ### setWarningMessage

    public void setWarningMessage(String value)
    Sets the value of the warningMessage property.
    Parameters:
      `value` - allowed object is `String`

  - ### isLinkRequired

    public boolean isLinkRequired()
    Gets the value of the linkRequired property.

  - ### setLinkRequired

    public void setLinkRequired(boolean value)
    Sets the value of the linkRequired property.

  - ### isLinkSilent

    public boolean isLinkSilent()
    Gets the value of the linkSilent property.

  - ### setLinkSilent

    public void setLinkSilent(boolean value)
    Sets the value of the linkSilent property.